Im on 1.5 firmware..Ok, what easy installer do I need now???

PAUL7331

Member ++
Joined
Oct 13, 2006
Messages
909
Reaction score
13
Location
Nottingham
To get the latest and BEST firware which plays all ISO files (that I download) and all psx games (like FF7 etc) ?? All I want is an easy installer where I basically just follow on-screen instructions! Theres so many in the download section im lost! So what dya recomend?
 

DoomedEarl

VIP Member
VIP Member
Joined
Oct 4, 2005
Messages
1,864
Reaction score
263
Location
South of England
I don't play it but I'm sure I've read that FF7 is dodgy using any pops loader, so you may have problems with it. Anyone confirm?
 

frodsham

Inactive User
Joined
Jan 17, 2006
Messages
290
Reaction score
2
Location
Lancs
Can somebody tell me what firmware a PSP has to be on to use the above easy installer...and does it work with TA-082.. Thanks

Not to sure if you have a TA-082 motherboard

What firmware are you on, I was on 1.50
 
Last edited:

DoomedEarl

VIP Member
VIP Member
Joined
Oct 4, 2005
Messages
1,864
Reaction score
263
Location
South of England
Can somebody tell me what firmware a PSP has to be on to use the above easy installer...and does it work with TA-082.. Thanks

It doesn't matter what motherboard you have.
You need to be on 1.50 firmware or one of the custom firmwares to update. If you are on a $ONY firmware then you need to downgrade to 1.50 first. If you do need to downgrade then you need to make sure you have the right downgrader; this is where the motherboard would need to be known.
 

zerofool2005

Chilld/Teenage Member
Joined
Feb 23, 2007
Messages
518
Reaction score
0
Motherboards only matter in downgrades and not upgrade
 
TEST
Top